summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdrian Perez de Castro2018-03-28 19:10:24 +0100
committerAdrian Perez de Castro2018-03-28 19:10:24 +0100
commit7431099fa1a3710cb0ed757bccaa2ec78876e551 (patch)
tree9185edbf66e10f7c5e979747353422ecdb61bb35
downloadaur-7431099fa1a3710cb0ed757bccaa2ec78876e551.tar.gz
Initial import
-rw-r--r--.SRCINFO28
-rw-r--r--.gitignore5
-rw-r--r--PKGBUILD41
3 files changed, 74 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..9814457186a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,28 @@
+pkgbase = galaxy-desktop-git
+ pkgdesc = Hacked DE which mixes components from other desktop environments
+ pkgver = r3.40eea43
+ pkgrel = 1
+ url = https://github.com/aperezdc/galaxy-desktop
+ arch = any
+ license = custom:MIT
+ makedepends = meson
+ makedepends = ninja
+ depends = mate-screensaver>=1.20
+ depends = gnome-settings-daemon>=3.28
+ depends = gala
+ depends = plank>=0.11
+ depends = pantheon-polkit-agent
+ depends = pantheon-screenshot
+ optdepends = gnome-control-center:: Allows modifying system settings
+ optdepends = synapse:: Keyboard-driver launcher
+ optdepends = termite:: Recommended terminal application
+ optdepends = arc-gtk-theme:: Recommended GTK+ theme
+ optdepends = la-capitaine-icon-theme:: Recommended icon theme
+ optdepends = xcursor-hackneyed:: Recommended cursor theme
+ provides = galaxy-desktop
+ conflicts = galaxy-desktop
+ source = galaxy-desktop-git::git+https://github.com/aperezdc/galaxy-desktop
+ sha512sums = SKIP
+
+pkgname = galaxy-desktop-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..4dda883402d
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+/galaxy-desktop-git/
+/*.tar
+/*.tar.*
+/pkg/
+/src/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..58bf17812fd
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Adrian Perez de Castro <aperez@igalia.com>
+pkgname='galaxy-desktop-git'
+pkgdesc='Hacked DE which mixes components from other desktop environments'
+pkgver=r3.40eea43
+pkgrel=1
+arch=('any')
+url='https://github.com/aperezdc/galaxy-desktop'
+license=('custom:MIT')
+makedepends=('meson' 'ninja')
+provides=('galaxy-desktop')
+conflicts=('galaxy-desktop')
+depends=('mate-screensaver>=1.20' 'gnome-settings-daemon>=3.28' 'gala'
+ 'plank>=0.11' 'pantheon-polkit-agent' 'pantheon-screenshot')
+optdepends=('gnome-control-center:: Allows modifying system settings'
+ 'synapse:: Keyboard-driver launcher'
+ 'termite:: Recommended terminal application'
+ 'arc-gtk-theme:: Recommended GTK+ theme'
+ 'la-capitaine-icon-theme:: Recommended icon theme'
+ 'xcursor-hackneyed:: Recommended cursor theme')
+source=("${pkgname}::git+${url}")
+sha512sums=('SKIP')
+
+pkgver () {
+ cd "${pkgname}"
+ (
+ set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build () {
+ arch-meson "${pkgname}" build
+ ninja -C build
+}
+
+package () {
+ DESTDIR="${pkgdir}" ninja -C build install
+ install -Dm644 "${pkgname}/COPYING" \
+ "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"
+}